Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryGroup.MemberSet

    java.lang.Object
      oracle.ifs.server.S_DirectoryGroup.MemberSet

Enclosing class:
  S_DirectoryGroup

    protected final class S_DirectoryGroup.MemberSet

extends java.lang.Object

Manage a set of members. This removes duplicates from a set of DirectoryObjects.

(Unpublished)

Field Summary
`protected static int` | `MEMBERSET_DEFAULT`
`protected static int` | `MEMBERSET_USER_IDS_ONLY`
`protected static int` | `MEMBERSET_USERS_ONLY`

Constructor Summary
`protected` | `S_DirectoryGroup.MemberSet()` Construct a MemberSet, a default mode.
`protected` | `S_DirectoryGroup.MemberSet(int mode)` Construct a MemberSet with a specific mode

Method Summary
`protected S_DirectoryObject` | `addMember(S_DirectoryObject member)` add a member to the set.
`protected java.lang.Long[]` | `getAllMemberIds()` Return the set of Member IDs
`protected S_DirectoryObject[]` | `getAllMembers()` Return the set of Members
`protected java.lang.Long[]` | `getAllUserMemberIds()` Return the set of User Member IDs
`protected S_DirectoryObject[]` | `getAllUserMembers()` Return the set of User Members

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEMBERSET_DEFAULT

    protected static final int MEMBERSET_DEFAULT

See Also:
  Constant Field Values

### MEMBERSET_USERS_ONLY

    protected static final int MEMBERSET_USERS_ONLY

See Also:
  Constant Field Values

### MEMBERSET_USER_IDS_ONLY

    protected static final int MEMBERSET_USER_IDS_ONLY

See Also:
  Constant Field Values

Constructor Detail

### S_DirectoryGroup.MemberSet

    protected S_DirectoryGroup.MemberSet()

  Construct a MemberSet, a default mode.

  (Unpublished)

### S_DirectoryGroup.MemberSet

    protected S_DirectoryGroup.MemberSet(int mode)

  Construct a MemberSet with a specific mode

  Parameters:
    `mode` - Mode of operation
  (Unpublished)

Method Detail

### addMember

    protected S_DirectoryObject addMember(S_DirectoryObject member)

  Description copied from class: `S_DirectoryGroup.MemberSet`
  add a member to the set. Return null if the member was not yet previously added, and non-null otherwise.

  Parameters:
    `member` - the member to add
  (Unpublished)

### getAllMemberIds

    protected java.lang.Long[] getAllMemberIds()
                                        throws IfsException

  Description copied from class: `S_DirectoryGroup.MemberSet`
  Return the set of Member IDs

  Returns:
    the set of member IDs
  Throws:
    `IfsException`
  (Unpublished)

### getAllUserMemberIds

    protected java.lang.Long[] getAllUserMemberIds()
                                            throws IfsException

  Description copied from class: `S_DirectoryGroup.MemberSet`
  Return the set of User Member IDs

  Returns:
    the set of User member IDs
  Throws:
    `IfsException`
  (Unpublished)

### getAllMembers

    protected S_DirectoryObject[] getAllMembers()
                                         throws IfsException

  Description copied from class: `S_DirectoryGroup.MemberSet`
  Return the set of Members

  Returns:
    the set of members
  Throws:
    `IfsException`
  (Unpublished)

### getAllUserMembers

    protected S_DirectoryObject[] getAllUserMembers()
                                             throws IfsException

  Description copied from class: `S_DirectoryGroup.MemberSet`
  Return the set of User Members

  Returns:
    the set of User members
  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD